创建组织范围的平台策略,适用于组织中的每个项目。组织由路由 ID 路径参数承载。
POST /api/v1/organizations/{id}/policies
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/organizations/{id}/policies' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"enabled": true,
"int_value": 42,
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}'
请求示例
{
"enabled": true,
"int_value": 42,
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (201)
{
"created_at": "string",
"created_by": "string",
"enabled": true,
"id": "string",
"int_value": 42,
"org_id": "string",
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION",
"updated_at": "string",
"updated_by": "string"
}
响应示例 (201)
{
"created_at": "string",
"created_by": "string",
"enabled": true,
"id": "string",
"int_value": 42,
"org_id": "string",
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION",
"updated_at": "string",
"updated_by": "string"
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (409)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (409)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}